# This file is included by app.yaml to describe all of the
# script request handlers that need to be protected by login:admin. The
# including yaml file needs to describe '/.*' (app.yaml) or '/' and '/.+'
# (v2spa) in order to ensure the order is correct.

skip_files:
- ^(.*/)?#.*#$
- ^(.*/)?.*~$
- ^(.*/)?.*\.py[co]$
- ^(.*/)?.*/RCS/.*$
- ^(.*/)?\..*$
- ^py_utils/bin

handlers:
- url: /_ah/queue/deferred
  script: google.appengine.ext.deferred.application
  login: admin

- url: /add_histograms_queue
  script: dashboard.dispatcher.APP
  login: admin
  secure: always

- url: /add_point_queue
  script: dashboard.dispatcher.APP
  login: admin
  secure: always

- url: /associate_alerts
  script: dashboard.dispatcher.APP
  login: required
  secure: always

- url: /auto_bisect
  script: dashboard.dispatcher.APP
  login: admin
  secure: always

- url: /mark_recovered_alerts
  script: dashboard.dispatcher.APP
  login: admin
  secure: always

- url: /edit_anomaly_configs
  script: dashboard.dispatcher.APP
  login: admin
  secure: always

- url: /edit_bug_labels
  script: dashboard.dispatcher.APP
  login: admin
  secure: always

- url: /edit_sheriffs
  script: dashboard.dispatcher.APP
  login: admin
  secure: always

- url: /edit_anomalies
  script: dashboard.dispatcher.APP
  login: required
  secure: always

- url: /edit_site_config
  script: dashboard.dispatcher.APP
  login: admin
  secure: always

- url: /file_bug
  script: dashboard.dispatcher.APP
  login: required
  secure: always

- url: /load_from_prod
  script: dashboard.dispatcher.APP
  login: admin
  secure: always

- url: /migrate_test_names
  script: dashboard.dispatcher.APP
  login: admin
  secure: always

- url: /pinpoint/.*
  script: dashboard.dispatcher.APP
  login: required
  secure: always

- url: /put_entities_task
  script: dashboard.dispatcher.APP
  login: admin
  secure: always

- url: /start_try_job
  script: dashboard.dispatcher.APP
  login: required
  secure: always

- url: /update_bug_with_results
  script: dashboard.dispatcher.APP
  login: admin
  secure: always

- url: /update_test_metadata
  script: dashboard.dispatcher.APP
  login: admin
  secure: always

- url: /update_test_suites
  script: dashboard.dispatcher.APP
  login: admin
  secure: always

- url: /update_test_suite_descriptors
  script: dashboard.dispatcher.APP
  login: admin
  secure: always

- url: /configs/update
  script: dashboard.dispatcher.APP
  login: admin
  secure: always
